#
# spec file for package perl-MDV-Packdrakeng
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define cpan_name MDV-Packdrakeng

Name:           perl-MDV-Packdrakeng
Version:        1.13
Release:        1.2
Summary:        Simple Archive Extractor/Builder
License:        GPL-2.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/MDV-Packdrakeng/
Source0:        http://search.cpan.org/CPAN/authors/id/N/NA/NANARDON/%{cpan_name}-%{version}.tar.gz
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)
# For tests
BuildRequires:  perl(Compress::Zlib)
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(Test::More)
%{perl_requires}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
MDV::Packdrakeng is a simple indexed archive builder and extractor
using standard compression methods.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,-)
%doc ChangeLog README

%changelog
* Sat Jul 27 2013 asterios.dramis@gmail.com
- Initial rpm release (version 1.13).
